Subject: [bug#68024] [PATCH] Remove ocaml4.07 packages

From: pukkamustard <[email-masked]>
Date: Mon, 25 Dec 2023 18:58:51 +0000

Hi!

Julien Lepiller <[email-masked]> writes:

> Hi Guix!
>
> I created a long patch series (67 patches) to remove ocaml 4.07
> packages. The series keeps [email-masked] itself, as well as findlib and
> dune, so we can always build ocaml4.07 packages later if we want to (we
> might need to build at least menhir, that will be required to build
> ocaml>4.07)

+1

If you think it makes sense, you could also move the [email-masked] to a new
ocaml-boot.scm. But this can also be done later when/if we split up
OCaml packages.

> I don't think it requires QA, since we're only removing packages.
> Patches look like the attached patch. If you agree with this in
> principle, I'll push the series this week.

I agree with the principle.

> I checked that each intermediate commit builds (no unbound variable),
> used guix refresh to discover a proper order (removing leaf packages).
> If you prefer, I can send the whole series.

Excellent. I trust your dilligence.

Thanks!